%define anolis_release 1

%global lua_pkg_name lpeg
%global lua_version 5.4

Name:           lua-%{lua_pkg_name}
Version:        1.0.2
Release:        %{anolis_release}%{?dist}
Summary:        Parsing Expression Grammars for Lua

License:        MIT
URL:            http://www.inf.puc-rio.br/~roberto/%{lua_pkg_name}/
Source0:        http://www.inf.puc-rio.br/~roberto/%{lua_pkg_name}/%{lua_pkg_name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  lua-devel >= %{lua_version}
Requires:       lua(abi) = %{lua_version}

%description
LPeg is a new pattern-matching library for Lua, based on Parsing Expression
Grammars (PEGs).

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{lua_pkg_name}-%{version}

%build
%make_build COPT="%{optflags}" LDFLAGS="%{build_ldflags}"

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{lua_libdir}
%{__mkdir_p} %{buildroot}%{lua_pkgdir}
%{__install} -p lpeg.so %{buildroot}%{lua_libdir}/lpeg.so.%{version}
%{__ln_s} lpeg.so.%{version} %{buildroot}%{lua_libdir}/lpeg.so
%{__install} -p -m 0644 re.lua %{buildroot}%{lua_pkgdir}

%generate_compatibility_deps

%check
lua test.lua

%files
%{lua_libdir}/*
%{lua_pkgdir}/*
%dir %{abidir}
%{abidir}/lpeg.dump

%files doc
%doc HISTORY lpeg.html re.html lpeg-128.gif test.lua

%changelog
* Mon Mar 27 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.0.2-1
- Init from upstream
